Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_ProxyPushConsumer_Guard Class Reference

A Guard for the ProxyPushConsumer reference count. More...

`#include <EC_ProxyConsumer.h>`

Collaboration diagram for TAO_EC_ProxyPushConsumer_Guard:

[legend]
List of all members.

## Public Methods
| TAO_EC_ProxyPushConsumer_Guard (ACE_Lock *lock, CORBA::ULong &refcount, TAO_EC_Event_Channel *ec, TAO_EC_ProxyPushConsumer *proxy)
| Constructor. More...
| ~TAO_EC_ProxyPushConsumer_Guard (void)
| Destructor. More...
int | locked (void) const
| Returns 1 if the reference count successfully acquired. More...
## Public Attributes
TAO_EC_Supplier_Filter * | filter
## Private Attributes
ACE_Lock * | lock_
| The lock used to protect the reference count. More...
CORBA::ULong & | refcount_
| The reference count. More...
TAO_EC_Event_Channel * | event_channel_
| The event channel used to destroy the proxy. More...
TAO_EC_ProxyPushConsumer * | proxy_
| The proxy whose lifetime is controlled by the reference count. More...
int | locked_
| This flag is set to 1 if the reference count was successfully acquired. More...

## Detailed Description

A Guard for the ProxyPushConsumer reference count.

This is a helper class used in the implementation of ProxyPushConumer. It provides a Guard mechanism to increment the reference count on the proxy and its filter, eliminating the need to hold mutexes during long operations.

## Constructor & Destructor Documentation

TAO_EC_ProxyPushConsumer_Guard::TAO_EC_ProxyPushConsumer_Guard | ( | ACE_Lock * | lock,
|  | CORBA::ULong & | refcount,
|  | TAO_EC_Event_Channel * | ec,
|  | TAO_EC_ProxyPushConsumer * | proxy
| ) |

| Constructor.

TAO_EC_ProxyPushConsumer_Guard::~TAO_EC_ProxyPushConsumer_Guard | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_INLINE int TAO_EC_ProxyPushConsumer_Guard::locked | ( | void |  | ) | const

| Returns 1 if the reference count successfully acquired.

## Member Data Documentation

TAO_EC_Event_Channel* TAO_EC_ProxyPushConsumer_Guard::event_channel_`[private]`

| The event channel used to destroy the proxy.

TAO_EC_Supplier_Filter* TAO_EC_ProxyPushConsumer_Guard::filter

ACE_Lock* TAO_EC_ProxyPushConsumer_Guard::lock_`[private]`

| The lock used to protect the reference count.

int TAO_EC_ProxyPushConsumer_Guard::locked_`[private]`

| This flag is set to 1 if the reference count was successfully acquired.

TAO_EC_ProxyPushConsumer* TAO_EC_ProxyPushConsumer_Guard::proxy_`[private]`

| The proxy whose lifetime is controlled by the reference count.

CORBA::ULong& TAO_EC_ProxyPushConsumer_Guard::refcount_`[private]`

| The reference count.

The documentation for this class was generated from the following files:

- EC_ProxyConsumer.h
- EC_ProxyConsumer.cpp
- EC_ProxyConsumer.i